org.vertx.java.deploy.impl

## Class Redeployer

- java.lang.Object
- - org.vertx.java.deploy.impl.Redeployer

    public class Redeployer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Redeployer(Vertx vertx, java.io.File modRoot, ModuleReloader reloader)`

### Method Summary

Methods
`void` `close()`
`void` `moduleDeployed(Deployment deployment)`
`void` `moduleUndeployed(Deployment deployment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Redeployer

    public Redeployer(Vertx vertx,
              java.io.File modRoot,
              ModuleReloader reloader)

### Method Detail

#### close

    public void close()

#### moduleDeployed

    public void moduleDeployed(Deployment deployment)

#### moduleUndeployed

    public void moduleUndeployed(Deployment deployment)